Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038830
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2018-06-25 15:552019-02-27 09:44
ReportermalsasuaView Statuspublic 
Assigned Tojorge-garcia 
PrioritynormalResolutionfixedFixed in VersionRR18Q3
StatusclosedFix in branchFixed in SCM revision3aea696cafbe
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038830: Incremental refresh process is not finishing properly when timeout happens

DescriptionWhen incremental refresh process is triggered and timeout happens in one of the models, the process does not finish properly, and Loading window is displayed and never hidden
Steps To Reproduce[BO]
. configure incremental refresh time: 2 minutes

[POS]
. do login
wait 2 minutes -> incremental refresh process is triggered
configure slow network -> timeout happens

"Loading window: reading model XXX" is displayed and never is hidden
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0038896RR18Q2.1 closedjorge-garcia Incremental refresh process is not finishing properly when timeout happens 

-  Notes
(0105467)
hgbot (developer)
2018-06-27 10:04

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9ed8ee4df3e0ddf447c62476978ec44724bbb07a
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Wed Jun 27 09:03:04 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9ed8ee4df3e0ddf447c62476978ec44724bbb07a [^]

Related to issue 38830: Incremental refresh process is not finishing properly when
timeout happens

Remove trigger related with incremental refresh popup and replace it for a
callback.

---
M web/org.openbravo.retail.posterminal/js/utils/ob-utilitiesuipos.js
---
(0105468)
hgbot (developer)
2018-06-27 10:05

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 3aea696cafbe3d95d6090c8dc0b78f7c0a960b1d
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Wed Jun 27 09:03:38 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/3aea696cafbe3d95d6090c8dc0b78f7c0a960b1d [^]

Fixed issue 38830: Incremental refresh process is not finishing properly when
timeout happens

All trigger from login has been replaced by callbacks to improve asynchronous
calls inside login.

---
M web/org.openbravo.mobile.core/source/data/ob-dal.js
M web/org.openbravo.mobile.core/source/data/ob-windowmodel.js
---
(0105485)
hgbot (developer)
2018-06-28 11:40

Repository: erp/pmods/org.openbravo.retail.selfcheckout
Changeset: abd751351202b5cde033a014667a73c817720976
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Thu Jun 28 11:40:27 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.selfcheckout/rev/abd751351202b5cde033a014667a73c817720976 [^]

Related to issue 38830: Incremental refresh process is not finishing properly when
timeout happens

Remove trigger related with incremental refresh popup and replace it for a
callback.

---
M web/org.openbravo.retail.selfcheckout/source/steps/startWelcome.js
---
(0105503)
hgbot (developer)
2018-06-29 08:17

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: c1d182bd81243e95cc5e2a0fc9c5caef4a762cd2
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Thu Jun 28 17:21:48 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c1d182bd81243e95cc5e2a0fc9c5caef4a762cd2 [^]

Related to issue 38830: Incremental refresh process is not finishing properly when
timeout happens

Remove trigger related with incremental refresh popup and replace it for a
callback.

---
M web/org.openbravo.retail.posterminal/js/data/windowmodel.js
---
(0105605)
jorge-garcia (developer)
2018-07-05 08:30

Reopened to create backports
(0110097)
hgbot (developer)
2019-02-27 09:44

Repository: erp/pmods/org.openbravo.retail.selfcheckout
Changeset: 173b882a3203d05d90a285d6aa048dd22cc6e001
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Thu Jun 28 16:57:30 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.selfcheckout/rev/173b882a3203d05d90a285d6aa048dd22cc6e001 [^]

Related to issue 38830: Incremental refresh process is not finishing properly when
timeout happens

Remove trigger related with incremental refresh popup and replace it for a
callback.

---
M web/org.openbravo.retail.selfcheckout/source/steps/startWelcome.js
---

- Issue History
Date Modified Username Field Change
2018-06-25 15:55 malsasua New Issue
2018-06-25 15:55 malsasua Assigned To => Retail
2018-06-25 15:55 malsasua Resolution time => 1530223200
2018-06-25 15:55 malsasua Triggers an Emergency Pack => No
2018-06-27 10:04 hgbot Checkin
2018-06-27 10:04 hgbot Note Added: 0105467
2018-06-27 10:05 hgbot Checkin
2018-06-27 10:05 hgbot Note Added: 0105468
2018-06-27 10:05 hgbot Status new => resolved
2018-06-27 10:05 hgbot Resolution open => fixed
2018-06-27 10:05 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/3aea696cafbe3d95d6090c8dc0b78f7c0a960b1d [^]
2018-06-27 11:20 marvintm Assigned To Retail => jorge-garcia
2018-06-28 11:40 hgbot Checkin
2018-06-28 11:40 hgbot Note Added: 0105485
2018-06-28 11:52 marvintm Review Assigned To => marvintm
2018-06-28 11:52 marvintm Status resolved => closed
2018-06-28 11:52 marvintm Fixed in Version => RR18Q3
2018-06-29 08:17 hgbot Checkin
2018-06-29 08:17 hgbot Note Added: 0105503
2018-07-05 08:30 jorge-garcia Note Added: 0105605
2018-07-05 08:30 jorge-garcia Status closed => new
2018-07-05 08:30 jorge-garcia Resolution fixed => open
2018-07-05 08:30 jorge-garcia Fixed in Version RR18Q3 =>
2018-07-05 08:30 jorge-garcia Status new => scheduled
2018-07-05 08:30 jorge-garcia Status scheduled => resolved
2018-07-05 08:30 jorge-garcia Resolution open => fixed
2018-07-05 08:30 jorge-garcia Status resolved => closed
2018-07-05 08:30 jorge-garcia Fixed in Version => RR18Q3
2019-02-27 09:44 hgbot Checkin
2019-02-27 09:44 hgbot Note Added: 0110097


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker